import lodash from 'lodash'
import { interact,replaceApiParams } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    management : {}
  },
  mutations: {
    updateManagement(state, payload) {
      state.management  = payload || {}
    }
  },
  actions: {
    getManagement({ commit }, payload) { // 查询所有
      const api = lodash.get(apis, 'management.list')
      interact(api, payload).then((data) => {
        commit('updateManagement', data)
      })
    },
    addManagement ({ commit }, payload) {
      const api = replaceApiParams(lodash.get(apis, 'management.edi.vue'), payload)
      interact(api).then((data) => {
        commit('updateManagement', data)
      })
    },
    deleteManagement ( _, payload) {
      return new Promise((resolve, reject) => {
        const api = replaceApiParams(lodash.get(apis, 'management.delete'), payload)
        interact(api).then((data) => {
          resolve(data)
        }).catch(() => {
          reject()
        })
      })
    }
  }
}