import lodash from 'lodash'
import { interact, replaceApiParams } from '../../utils'
import apis from '../../config/api'

export default {
    namespaced: true,
    state: {
        data: [],
        menus: [],
    },
    mutations: {
        setList(state, payload) {
            state.data = payload
        },
        setMenus(state, payload) {
            state.menus = payload
        }
    },
    actions: {
        GetList({ commit }, payload) {
            return new Promise((resolve, reject) => {
                const api = lodash.get(apis,'sysRole.list')
                interact(api, payload).then((data) => {
                    commit('setList', data)
                    resolve(data)
                }).catch(()=>{
                    reject()
                })

            })
        },
        AddRole( _, payload) {
            return new Promise((resolve, reject) => {
                const api = lodash.get(apis,'sysRole.save')
                interact(api, payload).then((data)=> {
                    resolve(data)
                }).catch(()=>{
                    reject()
                })
            })
        },
        GetMenus({ commit }) {
            return new Promise((resolve, reject) => {
                const api = lodash.get(apis, 'sysRole.menu')
                interact(api).then((data) => {
                    resolve(data)
                    commit('setMenus', data)
                }).catch(() => {
                    reject()
                })
            })
        },
        GetById(_, payload) {
            return new Promise((resolve, reject) => {
                const api = lodash.get(apis,'sysRole.getById')
                interact(api, payload).then((data) => {
                    resolve(data)
                }).catch(()=>{
                    reject()
                })

            })
        },
        UpdateRole(_, payload) {
            return new Promise((resolve, reject) => {
                const api = lodash.get(apis,'sysRole.update')
                interact(api, payload).then((data) => {
                    resolve(data)
                }).catch(()=>{
                    reject()
                })

            })
        },
        DeleteMenu(_, payload) {
            return new Promise((resolve, reject) => {
                const api = lodash.get(apis,'sysRole.deleteMenu')
                interact(api, payload).then((data) => {
                    resolve(data)
                }).catch(()=>{
                    reject()
                })

            })
        },
    }
}