
const pages = [  
  {
    path: 'dashboard',
    name: 'dashboard',
    component: () => import('./Dashboard.vue'),
    meta: {
      menuShow: true,
      title: 'Dashboard',
    }
  },
  {
    path: 'system',
    name: 'system',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '系统配置',
    },
    children: [
      {
        path: 'sysuser',
        name: 'sysuserlist',
        component: () => import('./sysuser/list.vue'),
        meta: {
          menuShow: true,
          title: '系统人员',
        },
      },
      {
        path: 'sysuser/userRole',
        name: 'userRole',
        component: () => import('./sysuser/userRole/list.vue'),
        meta: {
          menuShow: true,
          title: '员工管理',
        },
      },
      {
        path: 'sysuser/role',
        name: 'role',
        component: () => import('./sysuser/role/list.vue'),
        meta: {
          menuShow: true,
          title: '角色管理',
        },
      },
      {
        path: 'sysuser/role/add',
        name: 'role-add',
        component: () => import('./sysuser/role/add/add.vue'),
        meta: {
          menuShow: false,
          title: '角色添加',
        },
      },
      {
        path: 'sysuser/role/edi',
        name: 'role-edi',
        component: () => import('./sysuser/role/edi/edi.vue'),
        meta: {
          menuShow: false,
          title: '角色修改',
        },
      },
      {
        path: 'device',
        name: 'devicelist',
        component: () => import('./device/list.vue'),
        meta: {
          menuShow: true,
          title: '设备管理',
        },
      },
      {
        path: 'snapshot/:device',
        name: 'snapshotlist',
        component: () => import('./device/snapshot.vue'),
        meta: {
          menuShow: false,
          title: '抓拍列表',
        },
      },
      {
        path: 'paramlist',
        name: 'paramlist',
        component: () => import('./sysparam/list.vue'),
        meta: {
          menuShow: true,
          title: '系统参数配置',
        },
      },
      {
        path: 'paramedit',
        name: 'paramedit',
        component: () => import('./sysparam/edit.vue'),
        meta: {
          menuShow: false,
          title: '系统参数配置',
        },
      },
      {
        path: 'typelist',
        name: 'typelist',
        component: () => import('./type/list.vue'),
        meta: {
          menuShow: true,
          title: '人员类型',
        },
      },
      {
        path: 'sysuser/edit',
        name: 'sysuseredit',
        component: () => import('./sysuser/edit.vue'),
        meta: {
          menuShow: false,
          title: '销售管理',
        },
      },
     {
        path: 'typeedit',
        name: 'typeedit',
        component: () => import('./type/edit.vue'),
        meta: {
          menuShow: false,
          title: '人员类型编辑',
        }
      },
      {
        path: 'wordslist',
        name: 'wordslist',
        component: () => import('./words/list.vue'),
        meta: {
          menuShow: true,
          title: '来访致辞',
        },
      },
      {
        path: 'wordsedit',
        name: 'wordsedit',
        component: () => import('./words/edit.vue'),
        meta: {
          menuShow: false,
          title: '来访致辞编辑',
        },
      },
      {
        path: 'cartRecord',
        name: 'cartRecord',
        component: () => import('./cart/list.vue'),
        meta: {
          menuShow: false,
          title: '访客车辆记录',
        },
      },
      {
        path: 'management',
        name: 'managementlist',
        component: () => import('./carManagement/management.vue'),
        meta: {
          menuShow: true,
          title: '车辆管理',
        },
      },
    ]
  },

  {
    path: 'cust-manager',
    name: 'cust-manager',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '客户管理',
    },
    children: [
      {
        path: 'visitor',
        name: 'visitor',
        component: () => import('./visitor/list.vue'),
        meta: {
          menuShow: true,
          title: '预约信息',
        },
      },
      {
        path: 'car',
        name: 'carlist',
        component: () => import('./security/list.vue'),
        meta: {
          menuShow: true,
          title: '来访车辆',
        },
      },
      {
        path: 'person',
        name: 'personlist',
        component: () => import('./person/list.vue'),
        meta: {
          menuShow: true,
          title: '来访记录',
        },
      },
      {
        path: 'lobby',
        name: 'lobby',
        component: () => import('./lobby/list.vue'),
        meta: {
          menuShow: true,
          title: '接待记录',
        },
      },
      {
        path: 'person/edit',
        name: 'personedit',
        component: () => import('./person/edit.vue'),
        meta: {
          menuShow: false,
          title: '人员编辑',
        },
      },
      {
        path: 'followup',
        name: 'followuplist',
        component: () => import('./followup/list.vue'),
        meta: {
          menuShow: true,
          title: '客户列表',
        },
      },  
    ],
  },
  {
    path: 'first',
    name: 'first',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '首页配置',
    },
    children: [
      {
        path: 'content',
        name: 'content',
        component: () => import('./content/list.vue'),
        meta: {
          menuShow: true,
          title: '素 材 库',
        },
      },
      {
        path: 'noticelist',
        name: 'noticelist',
        component: () => import('./notice/list.vue'),
        meta: {
          menuShow: true,
          title: '公告设置',
        },
      },
      {
        path: 'noticeedit',
        name: 'noticeedit',
        component: () => import('./notice/edit.vue'),
        meta: {
          menuShow: false,
          title: '公告编辑',
        },
      },
      {
        path: 'screenlist',
        name: 'screenlist',
        component: () => import('./screen/list.vue'),
        meta: {
          menuShow: true,
          title: '首屏显示',
        },
      },
      {
        path: 'screenedit',
        name: 'screenedit',
        component: () => import('./screen/edit.vue'),
        meta: {
          menuShow: false,
          title: '首屏显示编辑',
        },
      },
    ],
  },
]

const flatten = (rts, parents = []) => {
  return rts.reduce((acc, rt) => {
    const chs = rt.children && rt.children.length ?
      flatten(rt.children, parents.concat(rt)) : []
    
    return [...acc, { ...rt, parents }, ...chs]
  }, [])
}

const pageArray = flatten(pages)

export { pages, pageArray }
